<?
	session_start();
	include "../../include/baza_danych.php";
	include "../../include/check_login.php";
	include "../../include/functions.php";
?>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
	<link rel="stylesheet" type="text/css" href="../css/main.css" media="screen" />
	<!--[if lte IE 6]>
	<link rel="stylesheet" type="text/css" href="../css/ie6_or_less.css" />
	<![endif]-->
	<script type="text/javascript" src="../js/common.js"></script>
	<script type="text/javascript" src="../js/jquery.js"></script>
</head>

<body id="type-a">

<div id="wrap">

	<div id="header">
		<ul id="nav">
	   <? if(!isset($go)){$go = 'serwis';}?>
		<li<? if($go=="serwis"){ echo' class="active"';} else {echo' class="first"';} ?>><a href="?go=serwis">Serwis</a></li>
		<li<? if($go=="status"){ echo' class="active"';} ?>><a href="?go=status">Status serwisu</a></li>
		</ul>
	</div>

	<div id="content-wrap">

		<div id="content">

			<div id="breadcrumb">

<?

if($logged_in==1 & pd(14)){





if($go=="status"){

  if(isset($_POST['zerowanie'])){

	  $update = mysql_query("UPDATE ".$db_pref."serwis SET licznik=0 WHERE id='".$_SESSION['ID_serwisu']."';");

	  if($update){$komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Licznik odwiedzin dla serwisu został wyzerowany</p></div>';}

	}



	if(isset($_POST['zmien_status']) and isset($_POST['status'])){

	  $update = mysql_query("UPDATE ".$db_pref."serwis SET stan='".$_POST['status']."' WHERE id='".$_SESSION['ID_serwisu']."';");

	  if($update){$komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Aktywność (stan) serwisu została zmieniona</p></div>';}

	}





  $zapytanie = "SELECT * FROM ".$db_pref."serwis WHERE id=".$_SESSION['ID_serwisu'].";";

  $wykonaj = mysql_query ($zapytanie);

	if (!($wykonaj)) print mysql_error();

	if($wykonaj){

    while($wiersz=mysql_fetch_array ($wykonaj))

  	{

    	  $id = $wiersz['id'];

				$nazwa = $wiersz['nazwa'];

				$domena = $wiersz['domena'];

				$czas_utworzenia = $wiersz['czas_utworzenia'];

				$licznik = $wiersz['licznik'];

				$stan = $wiersz['stan'];

		}

	}

	if($licznik==0){$licznik=1;}

  $ile_dziala = time() - $czas_utworzenia;

	$ile_dziala = $ile_dziala/60/60/24;



	$aktywnosc = Array(1);

	$aktywnosc[$stan] = ' checked';





	echo $komunikat.'<form action="?go=status" method="post">

			<table class="table1">

			<thead>

				<tr>

				<th colspan="2">Status serwisu | ID: '.$id.' | Nazwa: '.$nazwa.' | Domena: '.$domena.'</th>

				</tr>

			</thead>

			<tbody>

				<tr>

  				<th class="sub" width="180">Serwis utworzony</th>

  				<td>'.date('Y.m.d H:i:s', $czas_utworzenia).'&nbsp;&nbsp; [ istnieje od '.sprintf("%01.2f",$ile_dziala).' dni ]</td>

				</tr>

				<tr>

  				<th class="sub" width="180">Liczba odwiedzin</th>

  				<td>Razem: '.$licznik.'&nbsp;&nbsp; Średno na dzień: '.sprintf("%01.0f",($licznik/$ile_dziala)).' <input type="submit" name="zerowanie" value="Zerowanie licznika" class="f-submit" /></td>

				</tr>

				<tr>

  				<th class="sub" width="180">Status serwisu</th>

  				<td><input type="radio" value="1" name="status"'.$aktywnosc[1].'> aktywny <input type="radio" value="0" name="status"'.$aktywnosc[0].'> nieaktywny <input type="submit" name="zmien_status" value="Zmień" class="f-submit" /></td>

				</tr>

			</tbody>

			</table>

			</form>

			';





}



if($go=="moderatorzy"){



// wyswietlenie wszystkich uzytkownikow z ranga sM

// wyswietlenie moderatorow serwisu - lub napisu "Brak"









// proces usuwania z listy moderatorow serwisu

if(isset($akcja) & $akcja=="usun" & isset($id_moderatora)){



}



// dodawanie do listy moderatorow serwisu

if(isset($akcja) & $akcja=="dodaj" & isset($id_uzytkownika)){

  $wykonaj = mysql_query("INSERT INTO ".$db_pref."moderator (id_uzytkownika,id_serwisu) VALUES ('".$id_uzytkownika."','".$ID_serwisu."')");

	if($wykonaj){

		$komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Użytkownik został dodany do serwisu jako moderator</p></div>';

  }

}





echo $komunikat.'

			<table class="table1">

			<thead>

				<tr>

				<th colspan="4">Moderatorzy (na poziomie sM)</th>

				</tr>

			</thead>

			<tbody>

				<tr>

				<th width="45%">Wolni moderatorzy</th>

				<th width="5%">Akcja</th>

				<th width="45%">Moderatorzy tego serwisu</th>

				<th width="5%">Akcja</th>

				</tr>

';



  $zapytanie = "SELECT * FROM ".$db_pref."uzytkownik WHERE poziom='3' and stan='1';";

  $wykonaj = mysql_query ($zapytanie);

	if (!($wykonaj)) print mysql_error();

	$ile = mysql_num_rows($wykonaj);

	$licznik = 0;

	if($ile!=0){

    while($wiersz=mysql_fetch_array ($wykonaj)){

    	$id = $wiersz['id'];

			$login = $wiersz['login'];

			$p1 = $wiersz['p1'];

			$p2 = $wiersz['p2'];

			$email = $wiersz['email'];



			$wiersz_uzytkownicy[$licznik] = '<td width="45%">'.$login.'&nbsp; <small>'.$p1.' '.$p2.' <a href="emailto:'.$email.'">'.$email.'</a></small></td><td width="5%" align="center"><a href="?go=moderatorzy&akcja=dodaj&id_uzytkownika='.$id.'">'.ikonka("sp").'</a></td>';

			$licznik++;

  	}

	}





  $zapytanie = "SELECT * FROM ".$db_pref."moderator WHERE id_serwisu='".$ID_serwisu."';";

  $wykonaj = mysql_query ($zapytanie);

	if (!($wykonaj)) print mysql_error();

	$ile = mysql_num_rows($wykonaj);

	$licznik = 0;

	if($ile!=0){

    while($wiersz=mysql_fetch_array ($wykonaj)){

    	$id = $wiersz['id'];

			$id_uzytkownika = $wiersz['id_uzytkownika'];



      $zapytanie2 = "SELECT * FROM ".$db_pref."uzytkownik WHERE id='".$id_uzytkownika."';";

      $wykonaj2 = mysql_query ($zapytanie2);

      while($wiersz2=mysql_fetch_array ($wykonaj2)){

        $login=$wiersz2['login'];

  			$p1 = $wiersz2['p1'];

  			$p2 = $wiersz2['p2'];

  			$email = $wiersz2['email'];

      }



			$wiersz_moderatorzy[$licznik] = '<td width="45%">'.$login.'&nbsp; <small>'.$p1.' '.$p2.' <a href="emailto:'.$email.'">'.$email.'</a></small></td><td width="5%" align="center"><a href="?go=moderatorzy&akcja=usun&id_moderatora='.$id.'">'.ikonka("u").'</a></td>';

			$licznik++;

  	}

	}







	$licznik = 0;

	while($wiersz_uzytkownicy[$licznik]!=null){

	  echo'<tr>';

	  echo $wiersz_uzytkownicy[$licznik];

		if($wiersz_moderatorzy[$licznik]!=null){echo $wiersz_moderatorzy[$licznik];}else{echo'<td width="45%">&nbsp;</td><td width="5%" align="center">&nbsp;</td>';}

		echo'</tr>';

		$licznik++;

	}





echo'

			</tbody>

			</table>

			<br />

';

}













if($go=="serwis"){



	if(isset($_POST['zmien'])){

		if($_POST['nazwa']==null or $_POST['domena']==null or $_POST['metatagi']==null){

			komunikat("Błąd","Wypełnij proszę wszystkie wymagane pola");

		}else{

			$update = mysql_query("UPDATE ".$db_pref."serwis SET admin_email = '".$admin_email."', adres_wymuszony = '".$wymuszany_adres."', nazwa='".$nazwa."', domena='".$domena."', ceny='".$_POST['ceny']."', naglowek='".$metatagi."' WHERE id='".$_SESSION['ID_serwisu']."';");

			if($update){

				$komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Dane serwisu zostały zmienione</p></div>';

			}

		}

	}



	$zapytanie = "SELECT * FROM ".$db_pref."serwis WHERE id=".$_SESSION['ID_serwisu'].";";

	$wykonaj = mysql_query ($zapytanie);

	if($wykonaj){

		while($wiersz=mysql_fetch_array ($wykonaj)){

			$nazwa = $wiersz['nazwa'];

			$domena = $wiersz['domena'];

			$ceny = $wiersz['ceny'];

			$naglowek = $wiersz['naglowek'];

			$adres_wymuszony = $wiersz['adres_wymuszony'];

			$admin_email = $wiersz['admin_email'];

		}

		$adres_set[$adres_wymuszony] = " checked";

	}



	if($ceny==1){

		$zaznaczenie = ' checked="checked"';

	}else{

		$zaznaczenie = NULL;

	}



echo '

<form action="?go=serwis" method="post" class="f-wrap-1">

	<div class="req"><b>*</b> Pola wymagane</div>



	<fieldset>



	<h3>Zmiana danych serwisu</h3>



	<label for="firstname"><b><span class="req">*</span> Nazwa:</b>

	<input id="firstname" value="'.$nazwa.'" name="nazwa" type="text" class="f-name" tabindex="1" /><br />

	</label>



	<label for="lastname"><b><span class="req">*</span> Domena:</b>
	<input id="lastname" value="'.$domena.'" name="domena" type="text" class="f-name" tabindex="2" /><br />
	</label>



	<label for="email"><b><span class="req">*</span> Email:</b>

	<input id="email" value="'.$admin_email.'" name="admin_email" type="text" class="f-name" tabindex="3" /><br />

	</label>


<!--
	<label for="email"><b>Wyświetlanie cen:</b>

	<input style="width: 13px; margin-right: 5px" type="checkbox" name="ceny" value="1" tabindex="4"'.$zaznaczenie.' /> wyświetlaj ceny na stronie<br />

	</label>
-->







<!--
	<fieldset class="f-radio-wrap">

	<b>Wymuszony adres:</b>



		<fieldset>



		<label for="brak">

		<input id="brak" type="radio" name="wymuszany_adres" value="0" class="f-radio" tabindex="4"'.$adres_set[0].' />

		brak</label>



		<label for="z_www">

		<input id="z_www" type="radio" name="wymuszany_adres" value="1" class="f-radio" tabindex="5"'.$adres_set[1].' />

		z www</label>



		<label for="bez_www">



		<input id="bez_www" type="radio" name="wymuszany_adres" value="2" class="f-radio" tabindex="6"'.$adres_set[2].' />

		bez www</label>



		</fieldset>

	</fieldset>
-->


	<label for="comments"><b><span class="req">*</span> Metatagi:<br/><small>(jest to domyślny nagłówek serwisu, używany jeśli metatagi nie są indywidualnie dla podstrony ustawione)</small></b>

	<textarea id="comments" name="metatagi" class="f-comments" rows="7" cols="37" tabindex="7">'.$naglowek.'</textarea><br />

	</label>



	<div class="f-submit-wrap">

	<input type="submit" name="zmien" value="Zmień" class="f-submit" tabindex="8" /><br />

	</div>

	</fieldset>

</form>

';

}





}if($logged_in==0 or !pd(14)){echo'<center><h2>BRAK DOSTĘPU</h2></center>';}

?>

			</div>

		</div>

	</div>

</div>

</body>

</html>